%define name	httrack
%define	version 3.15
%define release	1mdk

Summary: 	Great website copier for offline browsing
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
Group: 		Networking/WWW
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://www.httrack.com
BuildRoot: 	%_tmppath/%name-buildroot
Prefix: 	%{_prefix}

BuildRequires: perl
BuildRequires: zlib-devel

%description
HTTrack is an easy-to-use offline browser utility.It allows you to 
download a World Wide website from the Internet to a local directory,
building recursively all directories, getting html, images, and other 
files from the server to your computer. HTTrack arranges the original 
site's relative link-structure.Simply open a page of the "mirrored"
website in your browser, and you can browse the site from link to link,
as if you were viewing it online. HTTrack can also update an existing 
mirrored site, and resume interrupted downloads. HTTrack is fully
configurable.

%prep
%__rm -rf $RPM_BUILD_ROOT

%setup -q
touch `find . -type f`

%build
cd src

./configure --prefix=%{_prefix} --etcdir=/etc --zlib --dynamic --system=linux --pthread
make CFLAGS="$RPM_OPT_FLAGS -D_REENTRANT"

%install
cd src
%__mkdir_p $RPM_BUILD_ROOT/%{_bindir}
%__mkdir_p $RPM_BUILD_ROOT/%{_libdir}
%__cp httrack $RPM_BUILD_ROOT/%{_bindir}
%__cp libhttrack.* $RPM_BUILD_ROOT/%{_libdir}


%__mkdir_p $RPM_BUILD_ROOT/etc

%__cat  >$RPM_BUILD_ROOT/etc/httrack.conf <<"EOF"
# HTTrack Website Copier Settings
# See httrack --help for more information

# Examples: (to uncomment)

# set proxy proxy.myisp.com:8080
# retries=2
# set max-size 10000000
# set max-time 36000
# set user-agent Mouzilla/17.0 (compatible; HTTrack; I)
#
# There are MUCH more options.. try 'httrack --quiet --help | more'

# Deny and allow for links
# this will be used by default for all mirrors
allow *.gif
allow *.png
deny ad.doubleclick.net/*

# Path and other options
# '~' in the *begining* means 'home dir'
# '#' at the *end* means "projectname" (that is, the first URL given)
# Example: '~/websites/#' will create /home/smith/websites/www.foo.com
# folder when launching 'httrack www.foo.com'
set path ~/websites/#
EOF

%__chmod 644 $RPM_BUILD_ROOT/etc/httrack.conf

%clean
%__rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc HelpHtml httrack-doc.html COPYING INSTALL README *.txt
%attr (0755,root,root) %_bindir/*
%attr (0755,root,root) %_libdir/*
%attr (0644,root,root) %config (noreplace) /etc/httrack.conf

%changelog
* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.15-1mdk
- 3.15

* Wed Dec 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.10-1mdk
- 3.10

* Mon Oct 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.09-1mdk
- remove patch since fixes are now in sources.
- 3.09

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.08-2mdk
- modified patch 
- lib

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.08-1mdk
- updated by Pierre-Michel THEVENY <pmt@mnhn.fr> 
	- Updated to 3.08

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.07-2mdk
- fixed by Chris Molnar <cmolnar@snet.net> :
        - added _libdir to the files section

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.07-1mdk
- 3.07

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.05-1mdk
- updated to 3.05

* Mon Jul 23 2001  Lenny Cartier <lenny@mandrakesoft.com> 3.03-1mdk
- updated by Pierre-Michel THEVENY <pmt@mnhn.fr> :
	- updated to 3.03

* Mon Apr 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.01-1mdk
- updated to 3.01

* Thu Apr 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.00-2mdk
  - added in contribs by Pierre-Michel THEVENY <pmt@mnhn.fr> :
        - Fix files permissions
        - Rebuild on Mandrake 8.0 (rpm-4.0)

* Tue Apr 19 2001 Pierre-Michel THEVENY <pmt@mnhn.fr> 3.00-1mdk
- First built

